/*
 * Copyright 2008 Vincent Sanders <vince@simtec.co.uk>
 *
 * This file is part of NetSurf, http://www.netsurf-browser.org/
 *
 * NetSurf is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 *
 * NetSurf is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <sys/types.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <setjmp.h>

#include "desktop/cookies.h"
#include "utils/messages.h"
#include "utils/utils.h"
#include "utils/url.h"

void warn_user(const char *warning, const char *detail)
{
}

static void* die_jmpbuf = NULL; 

int die_init(void* jmpbuf)
{
    die_jmpbuf = jmpbuf; 
    return 1;
}
        
void die(const char *error)
{
    printf("die called - reason: %s\n", error);
    if(die_jmpbuf) 
        longjmp(*((jmp_buf*)die_jmpbuf), 1);
    else
        exit(1);
}

bool cookies_update(const char *domain, const struct cookie_data *data)
{ 
    return true; 
}

char *url_to_path(const char *url)
{
    return strdup(url + 5);
}
